src/k9/routes/web.php
<?php

use App\Http\Controllers\Auth\NewPasswordController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ApprentiController;
use App\Http\Controllers\BackendController;
use App\Http\Controllers\OffreController;
use App\Http\Controllers\EntrepriseController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\AptitudeController;
use App\Http\Controllers\BulletinController;
use App\Http\Controllers\OptionController;
use App\Http\Controllers\PromotionController;
use App\Http\Controllers\PromotionEleveController;
use App\Http\Controllers\EntretienController;
use App\Http\Controllers\ProfesseurController;
use App\Http\Controllers\FicheController;
use App\Http\Controllers\MatiereController;
use App\Http\Controllers\NoteController;
use App\Http\Controllers\OffreEntreprise;
use App\Http\Controllers\PeriodeController;
use App\Http\Controllers\RdController;
use App\Http\Controllers\TuteurController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/first-password/{token}', [NewPasswordController::class, 'first'])->name('password.first');
    
// Groupe de routes avec uniquement le middleware d'authentification (connecté au site) //
Route::middleware(['auth', 'firstlogin'])->group(function () {
    Route::get('/mentions', [BackendController::class, 'mentions'])->name('mentions');
    Route::get('/', [OffreController::class, 'welcome'])->name('welcome');
    Route::get('profil', [UserController::class, 'profil'])->name('profil');
    Route::post('profil', [UserController::class, 'profilUpdate'])->name('profilUpdate');
    Route::resource('offre_entreprise', OffreEntreprise::class);
});
// Groupe de routes pour les professeurs avec middelware
Route::middleware(['auth', 'firstlogin', 'professeur'])->prefix('professeur')->group(function () {
    Route::get('/', [BackendController::class, 'profDashboard'])->name('profdashboard');
    Route::get('/matiereProfesseur', [MatiereController::class, 'matiereProfesseur'])->name('matiereProfesseur');
    Route::get('/promotionProfesseur', [PromotionController::class, 'promotionProfesseur'])->name('promotionProfesseur');
    Route::resource('notes', NoteController::class)->except(['show']);
    Route::get('notes/create/matieres/{promotion_id}', [NoteController::class, 'createMatieres'])->name('notes.create.matieres');
    Route::get('notes/create/apprentis/{promotion_id}', [NoteController::class, 'createApprentis'])->name('notes.create.apprentis');
    Route::get('notes/create/periodes/{promotion_id}', [NoteController::class, 'createPeriodes'])->name('notes.create.periodes');
});
// Groupe de routes avec le middleware d'authentification et celui d'admin du site //
Route::middleware(['auth','admin', 'firstlogin'])->group(function () {
    Route::get('fiche/pdf', [FicheController::class, 'testViewPDF'])->name('testViewPDF');
    Route::get('fiche/export/{id}', [FicheController::class, 'getPostPdf'])->name('getPostPdf');
    Route::post('/tuteur_entreprise', [OffreController::class, 'tuteurEntreprise'])->name('tuteur_entreprise');
    Route::post('/download', [BackendController::class, 'download'])->name('download');
    Route::post('/contact', [BackendController::class, 'contact'])->name('contact');
    /* Changer ces routes dans le rd */
    Route::post('/promotionPeriode', [PeriodeController::class, 'promotionPeriode'])->name('promotionPeriode');
    Route::post('/promotionApprenti', [PromotionController::class, 'promotionApprenti'])->name('promotionApprenti');
    Route::get('/bulletinPromotion', [BulletinController::class, 'bulletinPromotion'])->name('bulletinPromotion');
    Route::post('/bulletinMatiere', [BulletinController::class, 'bulletinMatiere'])->name('bulletinMatiere');
    Route::post('/promotionMatiere',[PromotionController::class, 'promotionMatiere'])->name('promotionMatiere');
    /* */
    Route::prefix('admin')->group(function () {
        Route::resource('aptitudes', AptitudeController::class);
        Route::resource('offres', OffreController::class);
        Route::resource('entreprises', EntrepriseController::class);
        Route::resource('tuteurs', TuteurController::class);
        Route::resource('users', UserController::class);
        Route::resource('options', OptionController::class);
        Route::resource('promotions', PromotionController::class);
        Route::resource('apprenti', ApprentiController::class);
        Route::resource('eleve_promotion', PromotionEleveController::class);
        Route::resource('entretiens', EntretienController::class);
        Route::resource('professeur', ProfesseurController::class);
        Route::resource('fiches', FicheController::class);
        Route::resource('rd', RdController::class);
        Route::resource('matieres',MatiereController::class);
        Route::resource('periodes',PeriodeController::class);
        // A changer dans rd
        Route::resource('bulletins',BulletinController::class);
        Route::get('/', [BackendController::class, 'dashboard'])->name('dashboard');
    });
});
require __DIR__ . '/auth.php';

src/k9/resources/views/entreprises/create.blade.php
@extends('backend.template')
  
@section('content')
<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class="float-start">
            <h2>Ajouter une nouvelle entreprise</h2>
        </div>
        <div class="float-end">
            <a class="btn btn-outline-primary" href="{{ route('entreprises.index') }}"> Retour </a>
        </div>
    </div>
</div>
   
@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Oups !</strong> Il y a plusieurs problèmes avec vos saisies.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
   
<form action="{{ route('entreprises.store') }}" method="POST">
    @csrf
  
     <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Nom :</strong>
                <input type="text" name="nom" class="form-control" placeholder="Entrez un nom">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Adresse :</strong>
                <input type="text"  name="adresse"class="form-control" placeholder="Saisissez une adresse">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Raison sociale :</strong>
                <input type="text" name="raison_sociale" class="form-control" placeholder="Entrez une raison sociale">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Téléphone :</strong>
                <input type="text" name="telephone" class="form-control" placeholder="Entrez un numéro de téléphone">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Mail :</strong>
                <input type="email" name="email" class="form-control" placeholder="Entrez une adresse mail">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
            <button type="submit" class="btn btn-primary">Envoyer</button>
        </div>
    </div>
   
</form>
@endsection

src/k9/resources/views/entreprises/edit.blade.php
@extends('backend.template')
   
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Modification de l'entreprise</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-outline-primary" href="{{ route('entreprises.index') }}">Retour </a>
            </div>
        </div>
    </div>
   
    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Oups !</strong> Il y a des problèmes avec vos saisies<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
  
    <form action="{{ route('entreprises.update', $entreprise->id) }}" method="POST">
        @csrf
        @method('PUT')
   
         <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Nom :</strong>
                    <input type="text" name="nom" value="{{ $entreprise->nom }}" class="form-control" placeholder="Title">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Adresse :</strong>
                    <textarea class="form-control" style="height:150px" name="adresse" placeholder="Detail">{{ $entreprise->adresse }}</textarea>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Raison sociale : </strong>
                    <input type="text" name="raison_sociale" value="{{ $entreprise->raison_sociale }}" class="form-control" placeholder="Title">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Téléphone : </strong>
                    <input type="text" name="telephone" value="{{ $entreprise->telephone }}" class="form-control" placeholder="Title">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Mail : </strong>
                    <input type="mail" name="mail" value="{{ $entreprise->mail }}" class="form-control" placeholder="Title">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-outline-primary">Envoyer</button>
            </div>
        </div>
   
    </form>
@endsection

src/k9/resources/views/entreprises/index.blade.php
@extends('backend.template')
 
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-start">
                <h2>CRUD Entreprise</h2>
            </div>
            <div class="float-end">
                <a class="btn btn-outline-success" href="{{ route('entreprises.create') }}">Créer un nouvelle entreprise</a>
            </div>
        </div>
    </div>
   
    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif
   
    <div class="padd20" id="table">
        <table class="table table-bordered" id="example">
            <thead>
                <th>ID</th>
                <th>Nom</th>
                <th>Adresse</th>
                <th>Raison Sociale</th>
                <th>Téléphone</th>
                <th>Mail</th>
                <th width="250px">Action</th>
            </thead>
            <tbody>
                @foreach ($entreprise as $e)
                <tr>
                    <td>{{ $e->id }}</td>
                    <td>{{ $e->nom }}</td>
                    <td>{{ $e->adresse }}</td>
                    <td>{{ $e->raison_sociale }}</td>
                    <td>{{ $e->telephone }}</td>
                    @if ($e->user->email != null)
                    <td>{{ $e->user->email }}</td>
                    @endif
                    <td class="actions">
                        {{-- <a class="btn btn-edit col" href="{{ route('entreprises.edit',$e->id) }}"></a>    --}}
                        <a class="btn btn-show col" href="{{ route('entreprises.show',$e->id) }}"></a>    
                        <button type="button" class="btn btn-delete col" data-bs-toggle="modal" data-bs-target="#{{ "modal-".$e->id}}"></button>
                        <form action="{{ route('entreprises.destroy',$e->id) }}" method="POST" class="col">   
                            @csrf
                            @method('DELETE')      
                            <div class="modal fade" id="{{ "modal-".$e->id}}" tabindex="-1" aria-labelledby="{{ "modalLabel-".$e->id}}" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="{{ "modalLabel-".$e->id}}">Supression entreprise</h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                            Voulez-vous vraimment supprimer cette entreprise?
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn-modal btn-secondary" data-bs-dismiss="modal">Fermer</button>
                                            <button type="submit" class="btn-modal btn-primary">Supprimer</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>      
    </div>
@endsection

src/k9/resources/views/entreprises/show.blade.php
@extends('backend.template')
  
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-start">
                <h2>Afficher l'entreprise</h2>
            </div>
            <div class="float-end">
                <a class="btn btn-outline-primary" href="{{ route('entreprises.index') }}">Retour </a>
            </div>
        </div>
    </div>
   
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <a class="font-bold">Nom :</a>
                {{ $entreprise->nom }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <a class="font-bold">Adresse :</a>
                {{ $entreprise->adresse }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <a class="font-bold">Raison sociale : </a>
                {{ $entreprise->raison_sociale }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <a class="font-bold">Téléphone : </a>
                {{ $entreprise->telephone }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <a class="font-bold">Mail : </a>
                {{ $entreprise->user->email }}
            </div>
        </div>
    </div>
@endsection     